Debian 9812 Published by

A python-django security update has been released for Debian GNU/Linux 10 LTS to address an issue that results in potential denial of service.



[SECURITY] [DLA 3500-1] python-django security update


- -------------------------------------------------------------------------
Debian LTS Advisory DLA-3500-1 debian-lts@lists.debian.org
https://www.debian.org/lts/security/ Chris Lamb
July 19, 2023 https://wiki.debian.org/LTS
- -------------------------------------------------------------------------

Package : python-django
Version : 1:1.11.29-1+deb10u9
CVE ID : CVE-2023-36053
Debian Bug : 1040225

It was discovered that there was a potential denial of service attack
in Django, the popular Python-based web development framework.

EmailValidator and URLValidator were subject to potential regular
expression denial of service attack via a very large number of domain
name labels of emails and URLs.

For Debian 10 buster, this problem has been fixed in version
1:1.11.29-1+deb10u9.

We recommend that you upgrade your python-django packages.

For the detailed security status of python-django please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/python-django

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS